package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.util.Date;

public class TbPlussMemberOrder implements Serializable {
    private Integer id;

    private String merchantcode;

    private String merchantname;

    private String storeid;

    private String storename;

    private String ordernumber;

    private String membercode;

    private String nickname;

    private Date createdt;

    private String ordertype;

    private String orderfee;

    private String orderstatus;

    private String rechargetype;

    private String staffcode;

    private String staffname;

    private String leshuatransno;

    private String wechattransno;

    private String alipaytransno;

    private String remark;

    private String channelno;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getMerchantcode() {
        return merchantcode;
    }

    public void setMerchantcode(String merchantcode) {
        this.merchantcode = merchantcode == null ? null : merchantcode.trim();
    }

    public String getMerchantname() {
        return merchantname;
    }

    public void setMerchantname(String merchantname) {
        this.merchantname = merchantname == null ? null : merchantname.trim();
    }

    public String getStoreid() {
        return storeid;
    }

    public void setStoreid(String storeid) {
        this.storeid = storeid == null ? null : storeid.trim();
    }

    public String getStorename() {
        return storename;
    }

    public void setStorename(String storename) {
        this.storename = storename == null ? null : storename.trim();
    }

    public String getOrdernumber() {
        return ordernumber;
    }

    public void setOrdernumber(String ordernumber) {
        this.ordernumber = ordernumber == null ? null : ordernumber.trim();
    }

    public String getMembercode() {
        return membercode;
    }

    public void setMembercode(String membercode) {
        this.membercode = membercode == null ? null : membercode.trim();
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname == null ? null : nickname.trim();
    }

    public Date getCreatedt() {
        return createdt;
    }

    public void setCreatedt(Date createdt) {
        this.createdt = createdt;
    }

    public String getOrdertype() {
        return ordertype;
    }

    public void setOrdertype(String ordertype) {
        this.ordertype = ordertype == null ? null : ordertype.trim();
    }

    public String getOrderfee() {
        return orderfee;
    }

    public void setOrderfee(String orderfee) {
        this.orderfee = orderfee == null ? null : orderfee.trim();
    }

    public String getOrderstatus() {
        return orderstatus;
    }

    public void setOrderstatus(String orderstatus) {
        this.orderstatus = orderstatus == null ? null : orderstatus.trim();
    }

    public String getRechargetype() {
        return rechargetype;
    }

    public void setRechargetype(String rechargetype) {
        this.rechargetype = rechargetype == null ? null : rechargetype.trim();
    }

    public String getStaffcode() {
        return staffcode;
    }

    public void setStaffcode(String staffcode) {
        this.staffcode = staffcode == null ? null : staffcode.trim();
    }

    public String getStaffname() {
        return staffname;
    }

    public void setStaffname(String staffname) {
        this.staffname = staffname == null ? null : staffname.trim();
    }

    public String getLeshuatransno() {
        return leshuatransno;
    }

    public void setLeshuatransno(String leshuatransno) {
        this.leshuatransno = leshuatransno == null ? null : leshuatransno.trim();
    }

    public String getWechattransno() {
        return wechattransno;
    }

    public void setWechattransno(String wechattransno) {
        this.wechattransno = wechattransno == null ? null : wechattransno.trim();
    }

    public String getAlipaytransno() {
        return alipaytransno;
    }

    public void setAlipaytransno(String alipaytransno) {
        this.alipaytransno = alipaytransno == null ? null : alipaytransno.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public String getChannelno() {
        return channelno;
    }

    public void setChannelno(String channelno) {
        this.channelno = channelno == null ? null : channelno.trim();
    }
}